Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 789819 - dev-lang/mozart-2.0.1 - /.../smallint-decl.hh: error: numeric_limits is not a member of std (maybe gcc-11 related)
Summary: dev-lang/mozart-2.0.1 - /.../smallint-decl.hh: error: numeric_limits is not a...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Keri Harris
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-13 10:48 UTC by Toralf Förster
Modified: 2021-08-03 15:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.47 KB, text/plain)
2021-05-13 10:48 UTC, Toralf Förster
Details
dev-lang:mozart-2.0.1:20210513-103217.log (dev-lang:mozart-2.0.1:20210513-103217.log,33.74 KB, text/plain)
2021-05-13 10:48 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,286.99 KB, text/plain)
2021-05-13 10:48 UTC, Toralf Förster
Details
environment (environment,156.90 KB, text/plain)
2021-05-13 10:48 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,34.26 KB, application/x-bzip)
2021-05-13 10:48 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,5.20 KB, application/x-bzip)
2021-05-13 10:48 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,38.17 KB, application/x-bzip)
2021-05-13 10:48 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-05-13 10:48:00 UTC
                 from /var/tmp/portage/dev-lang/mozart-2.0.1/work/mozart2-2.0.1/vm/vm/main/memmanager.cc:25:
/var/tmp/portage/dev-lang/mozart-2.0.1/work/mozart2-2.0.1/vm/vm/main/smallint-decl.hh: In static member function ‘static constexpr mozart::nativeint mozart::SmallInt::min()’:
/var/tmp/portage/dev-lang/mozart-2.0.1/work/mozart2-2.0.1/vm/vm/main/smallint-decl.hh:42:17: error: ‘numeric_limits’ is not a member of ‘std’
   42 |     return std::numeric_limits<nativeint>::min();
      |                 ^~~~~~~~~~~~~~
/var/tmp/portage/dev-lang/mozart-2.0.1/work/mozart2-2.0.1/vm/vm/main/smallint-decl.hh:42:41: error: expected primary-expression before ‘>’ token
   42 |     return std::numeric_limits<nativeint>::min();

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-j2-20210510-162903

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-9.3.1
 [3] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.10
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.52.1
  [2]   rust-1.52.1 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu May 13 09:50:23 UTC 2021

emerge -qpvO dev-lang/mozart
[ebuild  N    ] dev-lang/mozart-2.0.1  USE="-emacs -test"
Comment 1 Toralf Förster gentoo-dev 2021-05-13 10:48:01 UTC
Created attachment 707967 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-05-13 10:48:03 UTC
Created attachment 707970 [details]
dev-lang:mozart-2.0.1:20210513-103217.log
Comment 3 Toralf Förster gentoo-dev 2021-05-13 10:48:04 UTC
Created attachment 707973 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-05-13 10:48:06 UTC
Created attachment 707976 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-05-13 10:48:07 UTC
Created attachment 707979 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-05-13 10:48:08 UTC
Created attachment 707982 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-05-13 10:48:10 UTC
Created attachment 707985 [details]
temp.tar.bz2
Comment 8 Sam James archtester gentoo-dev Security 2021-08-01 07:07:06 UTC
ping (thanks for handling the other!)
Comment 9 Larry the Git Cow gentoo-dev 2021-08-03 15:13:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ecf58b1a6ade07c9585ac61a0fcbb70f33f4608

commit 9ecf58b1a6ade07c9585ac61a0fcbb70f33f4608
Author:     Keri Harris <keri@gentoo.org>
AuthorDate: 2021-08-03 15:10:50 +0000
Commit:     Keri Harris <keri@gentoo.org>
CommitDate: 2021-08-03 15:12:32 +0000

    dev-lang/mozart: patch VM to compile with GCC 11
    
    Closes: https://bugs.gentoo.org/789819
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Keri Harris <keri@gentoo.org>

 dev-lang/mozart/Manifest            | 2 +-
 dev-lang/mozart/mozart-2.0.1.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)